says no update available in the middle of the upgrade to gutsy RC when preferences define a low priority for new release

Bug #151943 reported by Xavier Poinsard on 2007-10-12
4
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: update-manager

I am trying to upgrade from feisty to gutsy RC with the 64 bits versions.
I started with "sudo update-manager -d -c"
All begins well : it tells me there is a new version (7.10)
I press upgrade...
After a few operations, I tells me that some packages aren't anymore supported,
Then it tells me that my system is up to date, no updates are available.

I finally found that it was because of my /etc/apt/preferences where I had given a low priority to gutsy.
Update-manager should at least warm stunned users about this.

Xavier Poinsard (xpoinsard) wrote :
description: updated
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

A check for unusual prioriteis in /etc/apt/preferences could indeed be added.

Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → Low
milestone: none → later
status: New → Confirmed
Thomas Hotz (thotz) on 2012-10-07
Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete
Thomas Hotz (thotz) wrote :

Closing because this versions are EOL.

Changed in update-manager (Ubuntu):
status: Incomplete → Invalid
assignee: Michael Vogt (mvo) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers